{% load static %}
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  {% block meta_tags %}{% endblock %}
  <title>{% block title %}Ma Collection de Voitures{% endblock %}</title>

  {% block css %}
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-uWxY/CJNBR+1zjPWmfnSnVxwRheevXITnMqoEIeG1LJrdI0GlVs/9cVSyPYXdcSF" crossorigin="anonymous">
  {% endblock %}

  {% block custom_css %}
  {% endblock %}
</head>
<body>

  {% block navbar %}
  <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <div class="container-fluid">
        <a class="navbar-brand d-none d-lg-inline-block" href="{% url 'index' %}"><img src="/static/car_collection/logo1.png" alt="" width="40" height="40"> Ma Collection de Voitures</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav me-auto mb-2 mb-lg-0">
            {% if user.is_authenticated %}
            <div class="btn-group px-1">
              <a type="button" class="btn btn-secondary" href="{% url 'brand_all' %}">Toutes les marques</a>
              <button type="button" class="btn btn-secondary dropdown-toggle dropdown-toggle-split" data-bs-toggle="dropdown" aria-expanded="false">
                <span class="visually-hidden">Toggle Dropdown</span>
              </button>
              <ul class="dropdown-menu dropdown-menu-dark" aria-labelledby="navbarDropdown">
                <li><a class="dropdown-item" href="{% url 'brand_new' %}">Nouvelle</a></li>
              </ul>
            </div>
            <div class="btn-group px-1">
              <a type="button" class="btn btn-secondary" href="{% url 'carmodel_all' %}">Toutes les voitures</a>
              <button type="button" class="btn btn-secondary dropdown-toggle dropdown-toggle-split" data-bs-toggle="dropdown" aria-expanded="false">
                <span class="visually-hidden">Toggle Dropdown</span>
              </button>
              <ul class="dropdown-menu dropdown-menu-dark" aria-labelledby="navbarDropdown">
                <li><a class="dropdown-item" href="{% url 'carmodel_new' %}">Nouvelle</a></li>
              </ul>
            </div>
            <div class="btn-group px-1">
              <a type="button" class="btn btn-secondary" href="{% url 'my_cars' %}">Mes voitures</a>
              <button type="button" class="btn btn-secondary dropdown-toggle dropdown-toggle-split" data-bs-toggle="dropdown" aria-expanded="false">
                <span class="visually-hidden">Toggle Dropdown</span>
              </button>
              <ul class="dropdown-menu dropdown-menu-dark" aria-labelledby="navbarDropdown">
                <li><a class="dropdown-item" href="{% url 'my_cars_add_cars' %}">Ajouter des voitures</a></li>
                <li><a class="dropdown-item" href="{% url 'my_cars_add_random_car' %}">Ajouter une voiture au hasard</a></li>
                <li><a class="dropdown-item" href="{% url 'my_cars_add_multi_random_car' %}">Ajouter dix voitures au hasard</a></li>
              </ul>
            </div>
            {% block actions %}
            {% endblock %}
            {% endif %}
          </ul>

          {% if user.is_authenticated %}
          <li class="navbar-nav nav-item dropdown me-2 mb-2 mb-lg-0">
            <a class="nav-link dropdown-toggle" href="#" id="profileDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
              {{ user.get_username }} ({{user.collection.money}} €)
            </a>
            <ul class="dropdown-menu dropdown-menu-dark dropdown-menu-end" aria-labelledby="profileDropdown">
              <li><a class="dropdown-item" href="{% url 'edit_settings' %}">Edit Settings</a></li>
              <li><a class="dropdown-item" href="{% url 'password_change' %}">Change Password</a></li>
              <li><a class="dropdown-item" href="{% url 'logout' %}">Logout</a></li>
              <li><a class="dropdown-item" href="{% url 'add_money'%}">Plus de sous !</a></li>
              <li><a class="dropdown-item" href="{% url 'give_money'%}">Donner des sous</a></li>
            </ul>
          </li>
          {% else %}
          <li class="navbar-nav">
            <a class="nav-link" href="{% url 'login' %}">login</a>
          </li>
          {% endif %}
        </div>
    </div>
  </nav>
  {% endblock %}

  <div class="container mt-4">
  {% if messages %}
    {% for message in messages %}
    <div class="alert alert-{{ message.tags }} alert-dismissible fade show" role="alert">
        {{ message }}
        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>
    {% endfor %}
  {% endif %}
  {% block content %}
  {% endblock %}
  </div>

  {% block js %}
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-kQtW33rZJAHjgefvhyyzcGF3C5TFyBQBA13V1RKPf4uH+bwyzQxZ6CmMZHmNBEfJ" crossorigin="anonymous"></script>
  {% endblock %}
  {% block custom_js %}
  {% endblock %}
</body>
</html>
